Bug 294561 - OK button doesn't do anything
Summary: OK button doesn't do anything
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Liang Zhang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-18 12:01 UTC by Bastien Nocera
Modified: 2015-04-07 03:06 UTC (History)
1 user (show)

Fixed In Version: system-config-language-1.2.15-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 07:39:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2007-09-18 12:01:35 UTC
system-config-language-1.2.8-1.fc8

- Launch language selection
- Select French (France)
- Click OK
- Window doesn't disappear

and a nice traceback on the console:
Could not retrieve mirrorlist
http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=i386 error was
[Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 171, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 193, in apply
    install = gui_install.guiInstall()                   
  File "/usr/share/system-config-language/gui_install.py", line 52, in __init__
    self.reset()
  File "/usr/share/system-config-language/gui_install.py", line 84, in reset
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 517, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 377, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 239, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in
_check_db_version
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 753, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 749, in _getRepoXML
    raise Errors.RepoError, (msg)
yum.Errors.RepoError: Cannot retrieve repository metadata (repomd.xml) for
repository: %s. Please verify its path and try again

Comment 1 Liang Zhang 2007-09-19 03:05:54 UTC
I have already tested this bug, and I can not find it. So I think it is not the
bug of s-c-language, and it is the problem of Yum in your machine.

Comment 2 Bastien Nocera 2007-09-19 09:11:31 UTC
Disable the network, and you'll be able to reproduce. It's not a yum bug, you're
not catching the exceptions from yum, and I was running from an unmodified F8
test2 Live USB key.

Comment 3 Liang Zhang 2007-12-26 08:46:42 UTC
I think this bug is important.
I fixed it in system-config-language-1.2.15-1.fc9.

Comment 4 Satyabrata Maitra 2008-01-10 07:39:02 UTC
Tested this bug.
Its now fixed in the proposed version.

Version of the Component Tested :-
system-config-language-1.2.15-1.fc9


Note You need to log in before you can comment on or make changes to this bug.